LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices

Reply
 
LinkBack Search this Thread
Old 09-05-2012, 12:10 AM   #1
rollyah
LQ Newbie
 
Registered: Jan 2011
Posts: 14

Rep: Reputation: 1
Installing 64 bit package on 32 bit debian


i have 32 bit lenny running. ( i cannot upgrade)
i need to install mysql-server-5.1 amd64 on it.

This system is already running l 64 bit kernel.

i can't seem to find that package in any current repo so i'm thinking of force installing it using dpkg but i don't know how to solve dependencies (especially libraries)

Any advice?
 
Old 09-05-2012, 12:29 AM   #2
evo2
Senior Member
 
Registered: Jan 2009
Location: Japan
Distribution: Debian
Posts: 4,814

Rep: Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011
Hi,

Why do you want to install a 64bit binary? If you really want mysql 5.1 and there are no packages for it, you can always install it from source.

Evo2.

PS. Obligatory warning... Don't run old unsupported, EOL OSs and software. Upgrade.. etc.
 
Old 09-05-2012, 02:04 AM   #3
rollyah
LQ Newbie
 
Registered: Jan 2011
Posts: 14

Original Poster
Rep: Reputation: 1
it's a requirement to do so, i wish it weren't but it is.
and it's against policy to compile from source.

I know there's another way since other servers are setup exactly like this.

Any advice?

Quote:
Originally Posted by evo2 View Post
Hi,

Why do you want to install a 64bit binary? If you really want mysql 5.1 and there are no packages for it, you can always install it from source.

Evo2.

PS. Obligatory warning... Don't run old unsupported, EOL OSs and software. Upgrade.. etc.
 
Old 09-05-2012, 02:18 AM   #4
evo2
Senior Member
 
Registered: Jan 2009
Location: Japan
Distribution: Debian
Posts: 4,814

Rep: Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011
Hi,

what policy? Unless we know the "rules" we can't really help.

Eg.
You are not allowed to compile from source?
You are not allowed to compile on that machine?
You must use that exact binary?

Evo2.
 
Old 09-06-2012, 01:10 AM   #5
rollyah
LQ Newbie
 
Registered: Jan 2011
Posts: 14

Original Poster
Rep: Reputation: 1
i manged to do my thing, i'll share what i did for others



apt-get install lib64stdc++6 lib64z1 lib64bz2-1.0 lib64expat1 lib64gcc1 lib64ncurses5 lib64objc2 lib64readline5 libc6-amd64 perl zlib1g-dev libdbd-mysql-perl
mv libwrap.so.0.7.6 /lib64
ln -s libwrap.so.0.7.6 libwrap.so.0
dpkg -i --force-all mysql-common_5.1.26rc-1_all.deb
dpkg -i --force-all libmysqlclient16_5.1.26rc-1_amd64.deb
dpkg -i --force-all libmysqlclient-dev_5.1.26rc-1_amd64.deb
dpkg -i --force-all libmysqlclient-dev_5.1.26rc-1_amd64.deb
dpkg -i --force-all libndbclient3_5.1.26rc-1_amd64.deb
dpkg -i --force-all libndbclient-dev_5.1.26rc-1_amd64.deb
dpkg -i --force-all mysql-client-5.1_5.1.26rc-1_amd64.deb
dpkg -i --force-all mysql-client-5.1_5.1.26rc-1_amd64.deb
dpkg -i --force-all libndbclient-dev_5.1.26rc-1_amd64.deb
dpkg -i --force-all mysql-server-5.1_5.1.26rc-1_amd64.deb



Quote:
Originally Posted by evo2 View Post
Hi,

what policy? Unless we know the "rules" we can't really help.

Eg.
You are not allowed to compile from source?
You are not allowed to compile on that machine?
You must use that exact binary?

Evo2.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Installing 32 bit RPMs on 64 bit Linux conflicts with 64 bit packages gheibia Linux - Server 1 08-18-2011 01:33 AM
run 32 bit software on 64 bit debian linux jokar.mohsen Linux - Software 4 07-06-2011 11:39 PM
LXer: Running 32-bit Applications on 64-bit Debian GNU/Linux LXer Syndicated Linux News 2 01-06-2010 12:26 PM
Firefox 3/ All essential plugins/ Debian Lenny 64 Bit/ Will work on 32 bit also lindylex LinuxAnswers Discussion 0 07-27-2009 01:58 PM
32-bit version of every 64-bit package on system? sancho Fedora 11 08-05-2008 08:58 AM


All times are GMT -5. The time now is 02:28 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration